#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,920,1400,1440,1480,1520,1560,1600,1640,1880
 * N : 25,920,1400,1440,1480,1520,1560,1600,1640,1880
 * NB : 7,7,56,8,80,80,80,64,96,96
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 1160) (nb_) = 7; \
   else if ((n_) < 1420) (nb_) = 56; \
   else if ((n_) < 1460) (nb_) = 8; \
   else if ((n_) < 1580) (nb_) = 80; \
   else if ((n_) < 1620) (nb_) = 64; \
   else (nb_) = 96; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
